Show Me What You Got

Show Me What You Got

Mod

Allows displaying your items in chat. Brag about your cool equipment!

Server EquipmentSocialUtility

215.9k downloads
189 followers
Created2 years ago
Updated7 months ago

Follow Save
Host your Minecraft server on BisectHosting - get 25% off your first month with code MODRINTH.
Filter loader...
Filter versions...

Updated to 1.20.2 and fixed some crashes when inserting/cutting/writing over a selection that includes the shared item

Update the mod to 1.20.1 (supports 1.20 too)

Fixed incompatibility with ChatPatches

Thanks @libjared for the PR which fixes a crash when trying to send a message after deleting the item from the message. The PR also improved some input handling in the chat window related to the item.

1.19.4-1.1.0

by Apace on Mar 5, 2023
Download

Updated to support 1.19.4 pre-releases

1.19.3-1.1.0

by Apace on Feb 7, 2023
Download
  • Messages with shared items are now considered actual chat messages, meaning they should be picked up by most, if not all, chat-related mods.
  • Messages with shared items are now considered "authentic" by Minecraft, meaning they can be reported if the server allows it.
  • Messages with shared items are now stored in your chat history, meaning you can use the up-arrow key to retrieve a message with a shared item you previously sent.

1.19.2-1.0.3

by Apace on Dec 21, 2022
Download

Updated to 1.19.2.

Due to changes on Mojang's side to the chat system, and having signed messages, and me trying hard to make it work properly, this update took way too long.

Thanks CephalonCosmic for the PR.

Unfortunately, messages you send with an item linked won't be signed. I'll see if I can get this to work in a future version, but for now, this means those message can't be reported (their authenticity can't be verified). Keep that in mind when installing the mod.

A version for 1.19.3 will follow.

1.19-1.0.2

by Apace on Jul 28, 2022
Download

Updated to 1.19 (not compatible with 1.19.1!)

1.18-1.0.1

by Apace on Apr 14, 2022
Download

This update removes the compatibility plugin for Calio, meaning it will be incompatible with any mod that uses a Calio version older than 1.5.0.

Most notably, this means this version won't work with Origins 1.3.2, but will need Origins to update to 1.4.0 before they can be used together. Use Show Me What You Got 1.0.0 if you want to use Origins 1.3.2.

However, this change makes Show Me What You Got compatible with some other mods again, such as FerriteCore.

1.17-1.0.0

by Apace on Jan 10, 2022
Download

1.18-1.0.0

by Apace on Jan 7, 2022
Download

Project members

Apace

Owner


Technical information

License
MIT
Client side
unsupported
Server side
required
Project ID